Bug 1017517 - [fork][origin_ui_82]It doesn't work well for "rhc configure-app $appname --deployment-type $type"
[fork][origin_ui_82]It doesn't work well for "rhc configure-app $appname --de...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Fabiano Franz
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 01:25 EDT by Wei Sun
Modified: 2015-05-14 22:25 EDT (History)
2 users (show)

See Also:
Fixed In Version: fork_ami_origin_ui_82_897
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:34:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2013-10-10 01:25:55 EDT
Description of problem:
Create an application,and configure the type of deployment the application accepts via `rhc configure-app $appname --deployment-type $type`,but it doesn't work well.It returns "You must specify at least one of the following for an update: auto_deploy, deployment_branch, keep_deployments and/or deployment_type"

If run `rhc configure-app $appname --deployment-type binary --no-auto-deploy`,it returns "done",but check deployment list,still couldn't set deployment type successfully.

Check rhc configure-app help,there are some help info messages,like:
--deployment-type TYPE     Type of deployment the application accepts ('git' or 'binary'). Defaults to git.

Version-Release number of selected component (if applicable):
rhc build from fork_ami_origin_ui_82_894
fork_ami_origin_ui_82_894

How reproducible:
Always

Steps to Reproduce:
1.Create an application
2.Check app deployment list
3.Configure the type of deployment the application accepts via `rhc configure-app $appname --deployment-type $type`
4.Configure the type of deployment the application accepts via `rhc configure-app $appname --deployment-type $type --no-auto-deploy`
5.Check app deployment list

Actual results:
2.[wsun@dhcp-8-229 test]$ rhc deployments r8
r8 @ http://r8-wsunfork894.dev.rhcloud.com/ (uuid: 5256350a1a552dbf5e000037)
----------------------------------------------------------------------------
  Deployment:        auto (on git push)
  Keep Deployments:  1
  Deployment Type:   git
  Deployment Branch: master

3.[wsun@dhcp-8-229 test]$ rhc configure-app r8 --deployment-type binary
Going to configure r8 ... You must specify at least one of the following for an update: auto_deploy, deployment_branch, keep_deployments and/or deployment_type

4.[wsun@dhcp-8-229 test]$ rhc configure-app r8 --deployment-type binary --no-auto-deploy
Going to configure r8 ... done

5.[wsun@dhcp-8-229 test]$ rhc deployments r8
r8 @ http://r8-wsunfork894.dev.rhcloud.com/ (uuid: 5256350a1a552dbf5e000037)
----------------------------------------------------------------------------
  Deployment:        manual (use 'rhc deploy')
  Keep Deployments:  1
  Deployment Type:   git
  Deployment Branch: master


Expected results:
Could set deployment type successfully.

Additional info:
--[no-]auto-deploy/--keep-deployments/--deployment-branch  could work well.
Comment 1 Fabiano Franz 2013-10-11 10:19:19 EDT
fork_ami_origin_ui_82_897
Comment 2 Xiaoli Tian 2013-10-12 06:18:10 EDT
(In reply to Fabiano Franz from comment #1)
> fork_ami_origin_ui_82_897

Verified it with rhc built from ork_ami_origin_ui_82_899: 

]# rhc app-configure -a phps --deployment-type binary
Configuring application 'phps' ... done

phps @ http://phps-domx1.dev.rhcloud.com/ (uuid: 52591d3a1ddee2006100002c)
--------------------------------------------------------------------------
  Deployment:        auto (on git push)
  Keep Deployments:  1
  Deployment Type:   binary
  Deployment Branch: master

Your application 'phps' is now configured as listed above.

Use 'rhc show-app phps --configuration' to check your configuration values any time.
[root@ip-10-154-178-162 phps]# rhc show-app phps --configuration
phps @ http://phps-domx1.dev.rhcloud.com/ (uuid: 52591d3a1ddee2006100002c)
--------------------------------------------------------------------------
  Deployment:        auto (on git push)
  Keep Deployments:  1
  Deployment Type:   binary
  Deployment Branch: master

Use 'rhc configure-app' to change the configuration values of this application.

[root@ip-10-154-178-162 phps]# rhc app-configure -a phps --deployment-type git
Configuring application 'phps' ... done

phps @ http://phps-domx1.dev.rhcloud.com/ (uuid: 52591d3a1ddee2006100002c)
--------------------------------------------------------------------------
  Deployment:        auto (on git push)
  Keep Deployments:  1
  Deployment Type:   git
  Deployment Branch: master

Your application 'phps' is now configured as listed above.

Use 'rhc show-app phps --configuration' to check your configuration values any time

# rhc app-configure -a phps --deployment-type binary --no-auto-deploy --keep-deployments 3
Configuring application 'phps' ... done

phps @ http://phps-domx1.dev.rhcloud.com/ (uuid: 52591d3a1ddee2006100002c)
--------------------------------------------------------------------------
  Deployment:        manual (use 'rhc deploy')
  Keep Deployments:  3
  Deployment Type:   binary
  Deployment Branch: master

Your application 'phps' is now configured as listed above.

Note You need to log in before you can comment on or make changes to this bug.